Page MenuHomePhabricator

LinkCache sends API requests for URL-encoded page names, gets "invalid" responses back when descending into template contents
Closed, ResolvedPublic

Description

Observed this happening for dozens of links on https://en.wikipedia.org/wiki/Barack_Obama

Minimal test case: create a page with [["Foo bar"]] {{echo|[["Bar baz"]]}}. Load the page in VE while watching the network tab in the web inspector, filtering for XHR requests. Observe an API request is sent for %22Bar_baz%22 but not for %22Foo_bar%22 or "Foo_bar" or anything else.

Event Timeline

Catrope created this task.Nov 25 2014, 3:37 AM
Catrope raised the priority of this task from to Needs Triage.
Catrope updated the task description. (Show Details)
Catrope added a project: VisualEditor.
Catrope changed Security from none to None.
Catrope added a subscriber: Catrope.
Jdforrester-WMF triaged this task as Medium priority.Nov 25 2014, 7:57 PM
Jdforrester-WMF moved this task from To Triage to Bug Fixes on the VisualEditor board.

Change 176857 had a related patch set uploaded (by Alex Monk):
Handle encoding of links in transclusion nodes properly when determining existence

https://gerrit.wikimedia.org/r/176857

Patch-For-Review

Krenair claimed this task.Dec 2 2014, 1:09 AM
Jdforrester-WMF moved this task from Blocked to Q4 on the VisualEditor board.Dec 2 2014, 10:21 PM

Change 176857 merged by jenkins-bot:
Handle encoding of links in transclusion nodes properly when determining existence

https://gerrit.wikimedia.org/r/176857

Krenair closed this task as Resolved.Dec 2 2014, 10:27 PM
ori moved this task from Backlog to Done on the VisualEditor-Performance board.Feb 21 2015, 6:13 AM